Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008081opensim[REGION] OpenSim Corepublic2016-12-05 01:042019-11-08 13:08
Reporteraiaustin 
Assigned ToFerd Frederix 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionno change required 
PlatformPCOSWindowsOS Version10
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Versionmaster (dev code) 
Summary0008081: [XEngine] DoOnRezScriptQueue Could not load file or assembly
Description08:58:34 - [XEngine]: Failure in DoOnRezScriptQueue() for item 1416cae8-4f6e-490a-8347-4b5cb75b54a5 in Openvue. Continuing. Exception System.IO.FileLoadException: Could not load file or assembly 'file:///D:\VW\Openvue-ScriptEngines\bd09a791-eba5-11dc-95ff-0800200c9a66\CommonCompiler_compiled_b381ffbc-5462-430c-bdd4-b988c9b0c575.dll' [^] or one of its dependencies. The process cannot access the file because it is being used by another process. (Exception from HRESULT: 0x80070020)
File name: 'file:///D:\VW\Openvue-ScriptEngines\bd09a791-eba5-11dc-95ff-0800200c9a66\CommonCompiler_compiled_b381ffbc-5462-430c-bdd4-b988c9b0c575.dll' [^]
   at System.Reflection.RuntimeAssembly._nLoad(AssemblyName fileName, String codeBase, Evidence assemblySecurity, RuntimeAssembly locationHint, StackCrawlMark& stackMark, IntPtr pPrivHostBinder, Boolean throwOnFileNotFound, Boolean forIntrospection, Boolean suppressSecurityChecks)
   at System.Reflection.RuntimeAssembly.InternalLoadAssemblyName(AssemblyName assemblyRef, Evidence assemblySecurity, RuntimeAssembly reqAssembly, StackCrawlMark& stackMark, IntPtr pPrivHostBinder, Boolean throwOnFileNotFound, Boolean forIntrospection, Boolean suppressSecurityChecks)
   at System.Activator.CreateInstance(String assemblyString, String typeName, Boolean ignoreCase, BindingFlags bindingAttr, Binder binder, Object[] args, CultureInfo culture, Object[] activationAttributes, Evidence securityInfo, StackCrawlMark& stackMark)
   at System.Activator.CreateInstance(String assemblyName, String typeName, Boolean ignoreCase, BindingFlags bindingAttr, Binder binder, Object[] args, CultureInfo culture, Object[] activationAttributes)
   at System.AppDomain.CreateInstance(String assemblyName, String typeName, Boolean ignoreCase, BindingFlags bindingAttr, Binder binder, Object[] args, CultureInfo culture, Object[] activationAttributes)
   at System.AppDomain.CreateInstanceAndUnwrap(String assemblyName, String typeName, Boolean ignoreCase, BindingFlags bindingAttr, Binder binder, Object[] args, CultureInfo culture, Object[] activationAttributes)
   at OpenSim.Region.ScriptEngine.XEngine.XEngine.DoOnRezScript(Object[] parms) in d:\Temp\opensim-0.9.0-929-g181b1ad\OpenSim\Region\ScriptEngine\XEngine\XEngine.cs:line 1367
   at OpenSim.Region.ScriptEngine.XEngine.XEngine.DoOnRezScriptQueue(Object dummy) in d:\Temp\opensim-0.9.0-929-g181b1ad\OpenSim\Region\ScriptEngine\XEngine\XEngine.cs:line 1062

WRN: Assembly binding logging is turned OFF.
To enable assembly bind failure logging, set the registry value [HKLM\Software\Microsoft\Fusion!EnableLog] (DWORD) to 1.
Note: There is some performance penalty associated with assembly bind failure logging.
To turn this feature off, remove the registry value [HKLM\Software\Microsoft\Fusion!EnableLog].
Additional InformationTried with an empty ScriptEngines folder too, and get the same error.
TagsNo tags attached.
Git Revision or version numberopensim-0.9.1-929-g181b1ad.zip
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Script Engine
Environment.NET / Windows64
Mono VersionNone
ViewerN/A
Attached Files

- Relationships

-  Notes
(0031396)
aiaustin (developer)
2016-12-05 01:24

AppDomainLoading = false (the default) in the OpenSim.ini)

I tried one run with DeleteScriptsOnStartup = true and then restsarting with this set back to false.

That seems to have cleared the issue. So lets put this down to an untidy stop earlier.
(0035838)
aiaustin (developer)
2019-11-07 14:15
edited on: 2019-11-07 14:23

Reopen to allow other reporters to add details.

Note that I have found I sometimes get these red errors on first run after bigger updates and sometimes deleting the ScriptEngines state folder clears this issue.

(0035839)
alanscotch@yahoo.com (reporter)
2019-11-07 18:21
edited on: 2019-11-07 18:23

Although we are installed with 9.1.1 Yeti Dev -- myself and another Grid owner are seeing an identical error when compiling a script (after installing 9.1.1 for the first time).
Even after trying the recommendations from the two NOTES (above):

2019-11-07 17:28:10,441 ERROR [XEngine]: Failure in DoOnRezScriptQueue() for item 3236037a-f1cb-417a-aca4-702343e6739f in Winter. Continuing. Exception
System.FormatException: Input string was not in a correct format.
   at System.Number.ParseSingle(String value, NumberStyles options, NumberFormatInfo numfmt)
   at System.Convert.ToSingle(String value, IFormatProvider provider)
   at Nini.Config.ConfigBase.GetFloat(String key, Single defaultValue)
   at OpenSim.Region.ScriptEngine.Shared.Api.LSL_Api.LoadConfig() in O:\Opensim\Opensim Git Source\opensim\OpenSim\Region\ScriptEngine\Shared\Api\Implementation\LSL_Api.cs:line 333
   at OpenSim.Region.ScriptEngine.Shared.Api.LSL_Api.Initialize(IScriptEngine scriptEngine, SceneObjectPart host, TaskInventoryItem item) in O:\Opensim\Opensim Git Source\opensim\OpenSim\Region\ScriptEngine\Shared\Api\Implementation\LSL_Api.cs:line 307
   at OpenSim.Region.ScriptEngine.Shared.Instance.ScriptInstance.Load(IScript script, EventWaitHandle coopSleepHandle, String assemblyPath, String dataPath, StateSource stateSource, Boolean coopTermination) in O:\Opensim\Opensim Git Source\opensim\OpenSim\Region\ScriptEngine\Shared\Instance\ScriptInstance.cs:line 304
   at OpenSim.Region.ScriptEngine.XEngine.XEngine.DoOnRezScript(Object[] parms) in O:\Opensim\Opensim Git Source\opensim\OpenSim\Region\ScriptEngine\XEngine\XEngine.cs:line 1501
   at OpenSim.Region.ScriptEngine.XEngine.XEngine.DoOnRezScriptQueue(Object dummy) in O:\Opensim\Opensim Git Source\opensim\OpenSim\Region\ScriptEngine\XEngine\XEngine.cs:line 1072

(0035840)
UbitUmarov (administrator)
2019-11-07 18:52
edited on: 2019-11-08 01:16

On major updates you are supposed to delete scriptengines folder..
Other updates, it actually depends on what is changed, so delete to be safe.
And these 2 issues are unrelated.

(0035841)
aiaustin (developer)
2019-11-08 01:15
edited on: 2019-11-08 03:00

Alan, as Ubit said, the error you are getting looks different to the "Could not load file or assembly '...\ScriptEngines\....dll' or one of its dependencies. The process cannot access the file because it is being used by another process".

(0035844)
Ferd Frederix (reporter)
2019-11-08 13:00

MinTimerInterval is set incorrectly. Take look in your region file, and in Opensim.ini, for MinTimerInterval=0.2. It could be set to a 0,2 instead of 0.2. It could be in Opensim.proto, a Dreamgrid-specific file that gets made into Opensim.in. This could be due to a foreign Culture (non-english), r just an old setting in the INI that needs to be fixed by hand.

Failing that, try setting the PC to US English.
(0035845)
Ferd Frederix (reporter)
2019-11-08 13:08

Resolving due to a config error
(0035846)
Ferd Frederix (reporter)
2019-11-08 13:08

Config error

- Issue History
Date Modified Username Field Change
2016-12-05 01:04 aiaustin New Issue
2016-12-05 01:23 aiaustin Assigned To => aiaustin
2016-12-05 01:23 aiaustin Status new => assigned
2016-12-05 01:24 aiaustin Note Added: 0031396
2016-12-05 01:24 aiaustin Status assigned => closed
2016-12-05 01:24 aiaustin Resolution open => no change required
2016-12-05 01:24 aiaustin Fixed in Version => master (dev code)
2019-11-07 14:15 aiaustin Note Added: 0035838
2019-11-07 14:15 aiaustin Status closed => feedback
2019-11-07 14:15 aiaustin Resolution no change required => reopened
2019-11-07 14:18 aiaustin Note Edited: 0035838 View Revisions
2019-11-07 14:20 aiaustin Note Edited: 0035838 View Revisions
2019-11-07 14:23 aiaustin Note Edited: 0035838 View Revisions
2019-11-07 14:24 aiaustin Assigned To aiaustin =>
2019-11-07 18:21 alanscotch@yahoo.com Note Added: 0035839
2019-11-07 18:23 alanscotch@yahoo.com Note Edited: 0035839 View Revisions
2019-11-07 18:52 UbitUmarov Note Added: 0035840
2019-11-07 18:54 UbitUmarov Note Edited: 0035840 View Revisions
2019-11-08 01:15 aiaustin Note Added: 0035841
2019-11-08 01:15 aiaustin Status feedback => new
2019-11-08 01:16 aiaustin Note Edited: 0035840 View Revisions
2019-11-08 01:16 aiaustin Note Edited: 0035840 View Revisions
2019-11-08 03:00 aiaustin Note Edited: 0035841 View Revisions
2019-11-08 13:00 Ferd Frederix Note Added: 0035844
2019-11-08 13:08 Ferd Frederix Note Added: 0035845
2019-11-08 13:08 Ferd Frederix Note Added: 0035846
2019-11-08 13:08 Ferd Frederix Status new => resolved
2019-11-08 13:08 Ferd Frederix Resolution reopened => no change required
2019-11-08 13:08 Ferd Frederix Assigned To => Ferd Frederix


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker